// Author: Christophe Coenraets - http://coenraets.org 
package flex.skeletons.traderdesktop.controls
{
	import flash.events.Event;
	
	import mx.controls.DataGrid;
	import mx.events.CollectionEvent;
	import mx.events.CollectionEventKind;

	public class FastDataGrid extends DataGrid
	{
		
	    override protected function collectionChangeHandler(event:Event):void
	    {
	    	// Ignore UPDATE changes: item renderers are responsible for listening for changes 
			if (event is CollectionEvent &&	CollectionEvent(event).kind != CollectionEventKind.UPDATE)
			{
				super.collectionChangeHandler(event);
			}
	    }
		
	}
}